Subject: [mpls] draft-ietf-mpls-ldp-yang: Updated rev -08 posted (RtgDir/IESG comments addressed)

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Fri, 28 Feb 2020 04:59:33 +0000

Hi Deborah/IESG,

  *   We have just posted rev -08 draft-ietf-mpls-ldp-yang-08
  *   The rev incorporates all the applicable comments that were pending from RtgDir, GenART, IESG reviewers
     *   All reviewers are also CC’ed here.
     *   Have replied to all those review emails with inline replies/comments.

Thanks to all the detailed reviews and comments, the draft is in very decent state now for publication.
We hope that we can now push it through before IESG turns over in March.

Regards
--
Kamran
(on behalf of all authors and contributors)

From: "Kamran Raza (skraza)" <[email-masked]>
Date: Tuesday, February 11, 2020 at 4:26 PM
To: "BRUNGARD, DEBORAH A" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [mpls] Rtgdir last call review of draft-ietf-mpls-ldp-yang-06
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, February 11, 2020 at 4:25 PM

Apologies for the delay .. am working on model and draft update

Get Outlook for iOS<https://aka.ms/o0ukef>
________________________________
From: BRUNGARD, DEBORAH A <[email-masked]>
Sent: Tuesday, February 11, 2020 11:58:47 AM
To: Kamran Raza (skraza) <[email-masked]>
Cc: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Subject: RE: [mpls] Rtgdir last call review of draft-ietf-mpls-ldp-yang-06

Hi,

I haven't seen any more mails after this one? We need to get this done before the IESG turns over in March - otherwise we need to go thru the process again.

You need to get Roman and Ben to clear their Discusses and address the other AD's comments:
https://datatracker.ietf.org/doc/draft-ietf-mpls-ldp-yang/ballot/

Thanks!
Deborah

-----Original Message-----
From: Yingzhen Qu <[email-masked]>
Sent: Tuesday, December 24, 2019 4:54 PM
To: Kamran Raza (skraza) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [mpls] Rtgdir last call review of draft-ietf-mpls-ldp-yang-06

Hi Kamran,

Thanks for the reply. Looking forward to the next rev.

Happy Holidays!

Thanks,
Yingzhen

On Mon, Dec 23, 2019 at 10:10 AM Kamran Raza (skraza) <[email-masked]>
wrote:

> Hi Yingzhen,
>
> Thanks for your detailed review. We are addressing your comments as
> well as YD comments and plan to spin a new rev in new year.
> Please see our response inline - tagged as [skraza]
>
> On 2019-11-01, 5:25 PM, "mpls on behalf of Yingzhen Qu via
> Datatracker" < [email-masked] on behalf of [email-masked]> wrote:
>
>     Reviewer: Yingzhen Qu
>     Review result: Has Issues
>
>     I have been selected as the Routing Directorate reviewer for this
> draft. The
>     Routing Directorate seeks to review all routing or routing-related
> drafts as
>     they pass through IETF last call and IESG review, and sometimes on
> special
>     request. The purpose of the review is to provide assistance to the
> Routing ADs.
>     For more information about the Routing Directorate, please see
>
> https://urldefense.proofpoint.com/v2/url?u=http-3A__trac.tools.ietf.or
> g_area_rtg_trac_wiki_RtgDir&d=DwIFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=6UhGpW
> 9lwi9dM7jYlxXD8w&m=kEGRsW9eBZ4RR-F8qHmysaObu4H4j9Cc3ShtWmjcDr4&s=qG5US
> P2hl7NEP433L7hF4hwyOmhd6cxbMhmsdPaqb6A&e=
>
>     Although these comments are primarily for the use of the Routing
> ADs, it would
>     be helpful if you could consider them along with any other IETF
> Last Call
>     comments that you receive, and strive to resolve them through
> discussion or by
>     updating the draft.
>
>     Document: draft-ietf-mpls-ldp-yang
>     Reviewer: Yingzhen Qu
>     Review Date: Nov 1st, 2019
>     Intended Status: Standards Track
>
>     Summary:
>
>     This document is near ready for publication. It has some issues
> that should be
>     at least considered prior to publication.
>
>     Comments:
>
>     Thanks for working on this draft. As an active YANG contributor I
> appreciate
>     the work here.
>
>     Major issues:
>
>     I’m not sure whether this should be considered as a major issue,
> which is how
>     the document is structured. The draft separates the configuration
> and operation
>     states into two sections, and this seems to be a before NMDA
> product and a bit
>     redundant to me. The tree structures are used in different ways
> multiple times
>     in the document, and this significantly reduces the readability of
> the modules.
>
> [skraza]: Ack. Will fix.
>
>     Minor Issues:
>
>     I feel the English in this draft could be improved, but I’m not a
> native
>     speaker. Maybe RFC editor will help with this?
>
>     It seems that “model” and “module” are used exchangeable in this
> document,
>     please make them consistent.
>
> [skraza]: Ack. Will fix.
>
>     “YANG” should be capital cased, and there are “yang” at multiple
> places in this
>     document. Please fix them.
>
> [skraza]: Ack. Will fix.
>
>     Please consider add names to figures.
>
> [skraza]: Ack. Will fix.
>
>     I understand inheritance is an important feature of document. I’d
> suggest maybe
>     add a section/paragraph in “overview” to introduce the concept and
> how it works
>     instead of repeating the idea with examples in every major
> container design.
>
>
>  [skraza]: Ack. Will see how to address this.
>
>     Nits for your consideration:
> [skraza]: Ack to all the below nits - will fix.
>
> Rgds-
> --
> Kamran (on behalf of authors)
>
>     Section 1.1
>     Whereas, the "extended" category contains all other non-base features